package request

import "query-service/internal/entity"

// UseCase is an interface describing the request usecases
type UseCase interface {
	SendAQLQuery(query string, username string, password string, hostname string, port int, database string) (*map[string][]entity.Document, error)
}
